cdac.medinfo.model

## Class Participant

- java.lang.Object
- - cdac.medinfo.model.Participant

-     public class Participant
      extends java.lang.Object

  This class specify Participant Details.

  This class has the following attributes:

  1. participantName (String)
  2. participantFamily (String)
  3. participantSuffix (EffectiveDateTime)
  4. participantPrefix (String)
  5. participantAddress (List`<Address>`)
  6. participantContact (List`<Contact>`)
  7. isNOK (boolean)
  8. isGaurdian (boolean)
  9. isEmergencyContactPresent (boolean)
  10. isCareGiverPresent (boolean)

  This class provides accessors and mutators for the elements mentioned above.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Participant()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Address>` | `getParticipantAddress()` Returns the list od the Participant Address.
    `java.util.List<Contact>` | `getParticipantContact()` Returns the list of Participant Contact information.
    `java.lang.String` | `getParticipantFamily()` Returns the Participant Family Name.
    `java.lang.String` | `getParticipantName()` Returns the Participant Name.
    `java.lang.String` | `getParticipantOrganisation()` Returns the Participant Organization.
    `java.lang.String` | `getParticipantPrefix()` Returns the Participant Name Prefix.
    `java.lang.String` | `getParticipantRelation()` Sets the Participant Relation.
    `java.lang.String` | `getParticipantSuffix()` Returns the Participant Name Suffix.
    `boolean` | `isCareGiverPresent()` Returns the flag value( true or false) of Care Giver Present.
    `boolean` | `isEmergencyContactPresent()` Returns the flag value( true or false) of Emergency Contact Present.
    `boolean` | `isGaurdian()` Returns the flag value( true or false) of Gaurdian.
    `boolean` | `isNOK()` Returns the flag value(true or false) of next of kin.
    `void` | `setCareGiverPresent(boolean isCareGiverPresent)` Sets the flag value( true or false) of Care Giver Present.
    `void` | `setEmergencyContactPresent(boolean isEmergencyContactPresent)` Sets the flag value( true or false) of Emergency Contact Present.
    `void` | `setGaurdian(boolean isGaurdian)` Sets the flag value( true or false) of Gaurdian.
    `void` | `setNOK(boolean isNOK)` Sets the flag value(true or false) of next of kin.
    `void` | `setParticipantFamily(java.lang.String participantFamily)` Sets the Participant Family Name.
    `void` | `setParticipantName(java.lang.String participantName)` Sets the Participant Name.
    `void` | `setParticipantOrganisation(java.lang.String participantOrganisation)` Sets the Participant Organization.
    `void` | `setParticipantPrefix(java.lang.String participantPrefix)` Sets the Participant Name Prefix.
    `void` | `setParticipantRelation(java.lang.String participantRelation)` Sets the Participant Relation.
    `void` | `setParticipantSuffix(java.lang.String participantSuffix)` Sets the Participant Name Suffix.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Participant

          public Participant()

  - ### Method Detail

    - #### getParticipantName

          public java.lang.String getParticipantName()

      Returns the Participant Name.
      Returns:
        the participantName

    - #### setParticipantName

          public void setParticipantName(java.lang.String participantName)

      Sets the Participant Name.
      Parameters:
        `participantName` - Specifies the Participant Name.

    - #### getParticipantFamily

          public java.lang.String getParticipantFamily()

      Returns the Participant Family Name.
      Returns:
        the participantFamily

    - #### setParticipantFamily

          public void setParticipantFamily(java.lang.String participantFamily)

      Sets the Participant Family Name.
      Parameters:
        `participantFamily` - Specifies the Participant Family Name.

    - #### getParticipantSuffix

          public java.lang.String getParticipantSuffix()

      Returns the Participant Name Suffix.
      Returns:
        the participantSuffix

    - #### setParticipantSuffix

          public void setParticipantSuffix(java.lang.String participantSuffix)

      Sets the Participant Name Suffix.
      Parameters:
        `participantSuffix` - Specifies the Participant Name Suffix.

    - #### getParticipantPrefix

          public java.lang.String getParticipantPrefix()

      Returns the Participant Name Prefix.
      Returns:
        the participantPrefix

    - #### setParticipantPrefix

          public void setParticipantPrefix(java.lang.String participantPrefix)

      Sets the Participant Name Prefix.
      Parameters:
        `participantPrefix` - Specifies the Participant Name Prefix.

    - #### getParticipantAddress

          public java.util.List<Address> getParticipantAddress()

      Returns the list od the Participant Address.
      Returns:
        the participantAddress

    - #### getParticipantContact

          public java.util.List<Contact> getParticipantContact()

      Returns the list of Participant Contact information.
      Returns:
        the participantContact

    - #### getParticipantOrganisation

          public java.lang.String getParticipantOrganisation()

      Returns the Participant Organization.
      Returns:
        the participantOrganisation

    - #### setParticipantOrganisation

          public void setParticipantOrganisation(java.lang.String participantOrganisation)

      Sets the Participant Organization.
      Parameters:
        `participantOrganisation` - Specifies the Participant Organization.

    - #### isNOK

          public boolean isNOK()

      Returns the flag value(true or false) of next of kin.
      Returns:
        the isNOK

    - #### setNOK

          public void setNOK(boolean isNOK)

      Sets the flag value(true or false) of next of kin.
      Parameters:
        `isNOK` - Specifies the value(true or false) of next of kin.

    - #### isGaurdian

          public boolean isGaurdian()

      Returns the flag value( true or false) of Gaurdian.
      Returns:
        the isGaurdian

    - #### setGaurdian

          public void setGaurdian(boolean isGaurdian)

      Sets the flag value( true or false) of Gaurdian.
      Parameters:
        `isGaurdian` - Specifies the flag value( true or false) of Gaurdian.

    - #### isEmergencyContactPresent

          public boolean isEmergencyContactPresent()

      Returns the flag value( true or false) of Emergency Contact Present.
      Returns:
        the isEmergencyContactPresent

    - #### setEmergencyContactPresent

          public void setEmergencyContactPresent(boolean isEmergencyContactPresent)

      Sets the flag value( true or false) of Emergency Contact Present.
      Parameters:
        `isEmergencyContactPresent` - Specifies the flag value( true or false) of Emergency Contact Present.

    - #### getParticipantRelation

          public java.lang.String getParticipantRelation()

      Sets the Participant Relation.
      Returns:
        the participantRelation Specifies the Participant Relation.

    - #### setParticipantRelation

          public void setParticipantRelation(java.lang.String participantRelation)

      Sets the Participant Relation.
      Parameters:
        `participantRelation` - the participantRelation to set

    - #### isCareGiverPresent

          public boolean isCareGiverPresent()

      Returns the flag value( true or false) of Care Giver Present.
      Returns:
        the isCareGiverPresent

    - #### setCareGiverPresent

          public void setCareGiverPresent(boolean isCareGiverPresent)

      Sets the flag value( true or false) of Care Giver Present.
      Parameters:
        `isCareGiverPresent` - Specifies the flag value( true or false) of Care Giver Present.